Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.location
Interface LocationManager

All Known Implementing Classes:
  LocationManagerImpl

Deprecated. For mGw version 2 use LocationManager2.

public interface LocationManager

Service for finding location of mobile terminal. The location is returned if the terminal is available.

See Also:
  `LocationManager2`

Method Summary
`Location` | `getLocation(java.lang.String routeId, java.lang.String requesterAddress, java.lang.String endUserAddress, Accuracy accuracy)` Deprecated. Returns location of mobile terminal if available.

Method Detail

### getLocation

    public Location getLocation(java.lang.String routeId,
                                java.lang.String requesterAddress,
                                java.lang.String endUserAddress,
                                Accuracy accuracy)
                         throws UnknownEndUserAddressException,
                                GatewayException,
                                NoRouteCredentialsException,
                                java.rmi.RemoteException

  Deprecated.
  Returns location of mobile terminal if available. Location accuracy can also be specified.

  Parameters:
    `routeId` - route identifier
    `requesterAddress` - requester address (MSISDN number or some other identifier)
    `endUserAddress` - target end user address (MSISDN number or some other identifier)
    `accuracy` - location accuracy
  Returns:
    `Location` containing all relevant location data
  Throws:
    `UnknownEndUserAddressException` - when end user address was unknown
    `GatewayException` - when gateway couldn't process request for some reason
    `NoRouteCredentialsException` - when security credentials cannot be resolved for specified route
    `java.rmi.RemoteException` - when there was communication error with gateway

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.